<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref16.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Formatters.SXR.SXRIndex - Synopsis.Parsers.Cpp.Emulator.CompilerList.add_default_compilers</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Formatters.SXR.SXRIndex - Synopsis.Parsers.Cpp.Emulator.CompilerList.add_default_compilers</h1><div class="xref-name"><a id="Synopsis.Formatters.SXR.SXRIndex" /><h2 >Class Synopsis.Formatters.SXR.SXRIndex</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/SXR.py.html#19">Synopsis/Formatters/SXR.py:19</a>: in module <a href="../Scopes/Synopsis/Formatters/SXR.html" >Synopsis.Formatters.SXR</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/SXR.py.html#22">Synopsis/Formatters/SXR.py:22</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#sxr_cgi" >sxr_cgi</a></li><li ><a href="../Source/Synopsis/Formatters/SXR.py.html#24">Synopsis/Formatters/SXR.py:24</a>: Method <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#filename" >filename</a></li><li ><a href="../Source/Synopsis/Formatters/SXR.py.html#28">Synopsis/Formatters/SXR.py:28</a>: Method <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#title" >title</a></li><li ><a href="../Source/Synopsis/Formatters/SXR.py.html#32">Synopsis/Formatters/SXR.py:32</a>: Method <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#root" >root</a></li><li ><a href="../Source/Synopsis/Formatters/SXR.py.html#36">Synopsis/Formatters/SXR.py:36</a>: Method <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.SXR.SXRIndex.filename" /><h2 >Method Synopsis.Formatters.SXR.SXRIndex.filename</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#filename" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/SXR.py.html#24">Synopsis/Formatters/SXR.py:24</a>: in class <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html" >Synopsis.Formatters.SXR.SXRIndex</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.SXR.SXRIndex.process" /><h2 >Method Synopsis.Formatters.SXR.SXRIndex.process</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/SXR.py.html#36">Synopsis/Formatters/SXR.py:36</a>: in class <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html" >Synopsis.Formatters.SXR.SXRIndex</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.SXR.SXRIndex.root" /><h2 >Method Synopsis.Formatters.SXR.SXRIndex.root</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#root" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/SXR.py.html#32">Synopsis/Formatters/SXR.py:32</a>: in class <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html" >Synopsis.Formatters.SXR.SXRIndex</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.SXR.SXRIndex.title" /><h2 >Method Synopsis.Formatters.SXR.SXRIndex.title</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html#title" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/SXR.py.html#28">Synopsis/Formatters/SXR.py:28</a>: in class <a href="../Scopes/Synopsis/Formatters/SXR/SXRIndex.html" >Synopsis.Formatters.SXR.SXRIndex</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.Linker" /><h2 >Class Synopsis.Formatters.TOC.Linker</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/Linker.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#15">Synopsis/Formatters/TOC.py:15</a>: in module <a href="../Scopes/Synopsis/Formatters/TOC.html" >Synopsis.Formatters.TOC</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/TOC.py.html#21">Synopsis/Formatters/TOC.py:21</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/Linker.html#link" >link</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.Linker.link" /><h2 >Method Synopsis.Formatters.TOC.Linker.link</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/Linker.html#link" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#21">Synopsis/Formatters/TOC.py:21</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/Linker.html" >Synopsis.Formatters.TOC.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC" /><h2 >Class Synopsis.Formatters.TOC.TOC</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#23">Synopsis/Formatters/TOC.py:23</a>: in module <a href="../Scopes/Synopsis/Formatters/TOC.html" >Synopsis.Formatters.TOC</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/TOC.py.html#27">Synopsis/Formatters/TOC.py:27</a>: Class <a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html" >Entry</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#43">Synopsis/Formatters/TOC.py:43</a>: Attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#__toc" >__toc</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#44">Synopsis/Formatters/TOC.py:44</a>: Attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#linker" >linker</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#45">Synopsis/Formatters/TOC.py:45</a>: Attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#verbose" >verbose</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#39">Synopsis/Formatters/TOC.py:39</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#47">Synopsis/Formatters/TOC.py:47</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#keys" >keys</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#49">Synopsis/Formatters/TOC.py:49</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#lookup" >lookup</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#57">Synopsis/Formatters/TOC.py:57</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#size" >size</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#59">Synopsis/Formatters/TOC.py:59</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#__getitem__" >__getitem__</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#61">Synopsis/Formatters/TOC.py:61</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#insert" >insert</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#64">Synopsis/Formatters/TOC.py:64</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#store" >store</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#75">Synopsis/Formatters/TOC.py:75</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#load" >load</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#99">Synopsis/Formatters/TOC.py:99</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#visit_declaration" >visit_declaration</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.Entry" /><h2 >Class Synopsis.Formatters.TOC.TOC.Entry</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#27">Synopsis/Formatters/TOC.py:27</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/TOC.py.html#34">Synopsis/Formatters/TOC.py:34</a>: Attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html#name" >name</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#35">Synopsis/Formatters/TOC.py:35</a>: Attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html#link" >link</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#36">Synopsis/Formatters/TOC.py:36</a>: Attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html#lang" >lang</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#37">Synopsis/Formatters/TOC.py:37</a>: Attribute <a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html#type" >type</a></li><li ><a href="../Source/Synopsis/Formatters/TOC.py.html#32">Synopsis/Formatters/TOC.py:32</a>: Method <a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.Entry.__init__" /><h2 >Method Synopsis.Formatters.TOC.TOC.Entry.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#32">Synopsis/Formatters/TOC.py:32</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC/Entry.html" >Synopsis.Formatters.TOC.TOC.Entry</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.__init__" /><h2 >Method Synopsis.Formatters.TOC.TOC.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#39">Synopsis/Formatters/TOC.py:39</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.insert" /><h2 >Method Synopsis.Formatters.TOC.TOC.insert</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#insert" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#61">Synopsis/Formatters/TOC.py:61</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.keys" /><h2 >Method Synopsis.Formatters.TOC.TOC.keys</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#keys" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#47">Synopsis/Formatters/TOC.py:47</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.load" /><h2 >Method Synopsis.Formatters.TOC.TOC.load</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#load" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#75">Synopsis/Formatters/TOC.py:75</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.lookup" /><h2 >Method Synopsis.Formatters.TOC.TOC.lookup</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#lookup" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#49">Synopsis/Formatters/TOC.py:49</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.size" /><h2 >Method Synopsis.Formatters.TOC.TOC.size</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#size" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#57">Synopsis/Formatters/TOC.py:57</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.store" /><h2 >Method Synopsis.Formatters.TOC.TOC.store</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#store" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#64">Synopsis/Formatters/TOC.py:64</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.TOC.TOC.visit_declaration" /><h2 >Method Synopsis.Formatters.TOC.TOC.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/TOC/TOC.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/TOC.py.html#99">Synopsis/Formatters/TOC.py:99</a>: in class <a href="../Scopes/Synopsis/Formatters/TOC/TOC.html" >Synopsis.Formatters.TOC.TOC</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter" /><h2 >Class Synopsis.Formatters.Texinfo.Formatter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#42">Synopsis/Formatters/Texinfo.py:42</a>: in module <a href="../Scopes/Synopsis/Formatters/Texinfo.html" >Synopsis.Formatters.Texinfo</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#46">Synopsis/Formatters/Texinfo.py:46</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#process" >process</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#59">Synopsis/Formatters/Texinfo.py:59</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#write" >write</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#61">Synopsis/Formatters/Texinfo.py:61</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#type_label" >type_label</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#63">Synopsis/Formatters/Texinfo.py:63</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#decl_label" >decl_label</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#65">Synopsis/Formatters/Texinfo.py:65</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#format_type" >format_type</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#72">Synopsis/Formatters/Texinfo.py:72</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#format_comments" >format_comments</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#80">Synopsis/Formatters/Texinfo.py:80</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_builtin_type_id" >visit_builtin_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#85">Synopsis/Formatters/Texinfo.py:85</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_unknown_type_id" >visit_unknown_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#90">Synopsis/Formatters/Texinfo.py:90</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_declared_type_id" >visit_declared_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#95">Synopsis/Formatters/Texinfo.py:95</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_modifier_type_id" >visit_modifier_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#101">Synopsis/Formatters/Texinfo.py:101</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_parametrized_type_id" >visit_parametrized_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#113">Synopsis/Formatters/Texinfo.py:113</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_function_type_id" >visit_function_type_id</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#121">Synopsis/Formatters/Texinfo.py:121</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_declarator" >visit_declarator</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#127">Synopsis/Formatters/Texinfo.py:127</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_typedef" >visit_typedef</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#134">Synopsis/Formatters/Texinfo.py:134</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_variable" >visit_variable</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#142">Synopsis/Formatters/Texinfo.py:142</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_const" >visit_const</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#146">Synopsis/Formatters/Texinfo.py:146</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_module" >visit_module</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#161">Synopsis/Formatters/Texinfo.py:161</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#185">Synopsis/Formatters/Texinfo.py:185</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_inheritance" >visit_inheritance</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#189">Synopsis/Formatters/Texinfo.py:189</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_parameter" >visit_parameter</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#195">Synopsis/Formatters/Texinfo.py:195</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#215">Synopsis/Formatters/Texinfo.py:215</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_operation" >visit_operation</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#240">Synopsis/Formatters/Texinfo.py:240</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_enumerator" >visit_enumerator</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#249">Synopsis/Formatters/Texinfo.py:249</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_enum" >visit_enum</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.decl_label" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.decl_label</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#decl_label" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#63">Synopsis/Formatters/Texinfo.py:63</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.format_comments" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.format_comments</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#format_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#72">Synopsis/Formatters/Texinfo.py:72</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.format_type" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.format_type</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#format_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#65">Synopsis/Formatters/Texinfo.py:65</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.process" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#46">Synopsis/Formatters/Texinfo.py:46</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.type_label" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.type_label</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#type_label" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#61">Synopsis/Formatters/Texinfo.py:61</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_builtin_type_id" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_builtin_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_builtin_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#80">Synopsis/Formatters/Texinfo.py:80</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_class" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#161">Synopsis/Formatters/Texinfo.py:161</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_const" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_const</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_const" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#142">Synopsis/Formatters/Texinfo.py:142</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_declarator" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_declarator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_declarator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#121">Synopsis/Formatters/Texinfo.py:121</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_declared_type_id" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#90">Synopsis/Formatters/Texinfo.py:90</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_enum" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_enum</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#249">Synopsis/Formatters/Texinfo.py:249</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_enumerator" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_enumerator</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_enumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#240">Synopsis/Formatters/Texinfo.py:240</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_function" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#195">Synopsis/Formatters/Texinfo.py:195</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_function_type_id" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_function_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_function_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#113">Synopsis/Formatters/Texinfo.py:113</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_inheritance" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#185">Synopsis/Formatters/Texinfo.py:185</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_modifier_type_id" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_modifier_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_modifier_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#95">Synopsis/Formatters/Texinfo.py:95</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_module" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#146">Synopsis/Formatters/Texinfo.py:146</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_operation" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_operation</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_operation" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#215">Synopsis/Formatters/Texinfo.py:215</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_parameter" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#189">Synopsis/Formatters/Texinfo.py:189</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_parametrized_type_id" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_parametrized_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_parametrized_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#101">Synopsis/Formatters/Texinfo.py:101</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_typedef" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_typedef</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_typedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#127">Synopsis/Formatters/Texinfo.py:127</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_unknown_type_id" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_unknown_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_unknown_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#85">Synopsis/Formatters/Texinfo.py:85</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.visit_variable" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.visit_variable</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#visit_variable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#134">Synopsis/Formatters/Texinfo.py:134</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.Formatter.write" /><h2 >Method Synopsis.Formatters.Texinfo.Formatter.write</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html#write" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#59">Synopsis/Formatters/Texinfo.py:59</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/Formatter.html" >Synopsis.Formatters.Texinfo.Formatter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.MenuMaker" /><h2 >Class Synopsis.Formatters.Texinfo.MenuMaker</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#23">Synopsis/Formatters/Texinfo.py:23</a>: in module <a href="../Scopes/Synopsis/Formatters/Texinfo.html" >Synopsis.Formatters.Texinfo</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#28">Synopsis/Formatters/Texinfo.py:28</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#29">Synopsis/Formatters/Texinfo.py:29</a>: Attribute <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#os" >os</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#26">Synopsis/Formatters/Texinfo.py:26</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#31">Synopsis/Formatters/Texinfo.py:31</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#write" >write</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#32">Synopsis/Formatters/Texinfo.py:32</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#start" >start</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#33">Synopsis/Formatters/Texinfo.py:33</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#end" >end</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#34">Synopsis/Formatters/Texinfo.py:34</a>: Method <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#39">Synopsis/Formatters/Texinfo.py:39</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/Formatters/Texinfo.py.html#40">Synopsis/Formatters/Texinfo.py:40</a>: Class attribute <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#visit_enum" >visit_enum</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.MenuMaker.__init__" /><h2 >Method Synopsis.Formatters.Texinfo.MenuMaker.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#26">Synopsis/Formatters/Texinfo.py:26</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html" >Synopsis.Formatters.Texinfo.MenuMaker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.MenuMaker.end" /><h2 >Method Synopsis.Formatters.Texinfo.MenuMaker.end</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#end" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#33">Synopsis/Formatters/Texinfo.py:33</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html" >Synopsis.Formatters.Texinfo.MenuMaker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.MenuMaker.start" /><h2 >Method Synopsis.Formatters.Texinfo.MenuMaker.start</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#start" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#32">Synopsis/Formatters/Texinfo.py:32</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html" >Synopsis.Formatters.Texinfo.MenuMaker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.MenuMaker.visit_declaration" /><h2 >Method Synopsis.Formatters.Texinfo.MenuMaker.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#34">Synopsis/Formatters/Texinfo.py:34</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html" >Synopsis.Formatters.Texinfo.MenuMaker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.MenuMaker.write" /><h2 >Method Synopsis.Formatters.Texinfo.MenuMaker.write</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html#write" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#31">Synopsis/Formatters/Texinfo.py:31</a>: in class <a href="../Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html" >Synopsis.Formatters.Texinfo.MenuMaker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Formatters.Texinfo.escape" /><h2 >Function Synopsis.Formatters.Texinfo.escape</h2><ul>
<li><a href="../Scopes/Synopsis/Formatters/Texinfo.html#escape" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Formatters/Texinfo.py.html#18">Synopsis/Formatters/Texinfo.py:18</a>: in module <a href="../Scopes/Synopsis/Formatters/Texinfo.html" >Synopsis.Formatters.Texinfo</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.IR.IR" /><h2 >Class Synopsis.IR.IR</h2><ul>
<li><a href="../Scopes/Synopsis/IR/IR.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/IR.py.html#12">Synopsis/IR.py:12</a>: in module <a href="../Scopes/Synopsis/IR.html" >Synopsis.IR</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/IR.py.html#20">Synopsis/IR.py:20</a>: Attribute <a href="../Scopes/Synopsis/IR/IR.html#files" >files</a></li><li ><a href="../Source/Synopsis/IR.py.html#22">Synopsis/IR.py:22</a>: Attribute <a href="../Scopes/Synopsis/IR/IR.html#asg" >asg</a></li><li ><a href="../Source/Synopsis/IR.py.html#24">Synopsis/IR.py:24</a>: Attribute <a href="../Scopes/Synopsis/IR/IR.html#sxr" >sxr</a></li><li ><a href="../Source/Synopsis/IR.py.html#17">Synopsis/IR.py:17</a>: Method <a href="../Scopes/Synopsis/IR/IR.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/IR.py.html#27">Synopsis/IR.py:27</a>: Method <a href="../Scopes/Synopsis/IR/IR.html#copy" >copy</a></li><li ><a href="../Source/Synopsis/IR.py.html#34">Synopsis/IR.py:34</a>: Method <a href="../Scopes/Synopsis/IR/IR.html#save" >save</a></li><li ><a href="../Source/Synopsis/IR.py.html#42">Synopsis/IR.py:42</a>: Method <a href="../Scopes/Synopsis/IR/IR.html#merge" >merge</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.IR.IR.__init__" /><h2 >Method Synopsis.IR.IR.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/IR/IR.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/IR.py.html#17">Synopsis/IR.py:17</a>: in class <a href="../Scopes/Synopsis/IR/IR.html" >Synopsis.IR.IR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.IR.IR.copy" /><h2 >Method Synopsis.IR.IR.copy</h2><ul>
<li><a href="../Scopes/Synopsis/IR/IR.html#copy" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/IR.py.html#27">Synopsis/IR.py:27</a>: in class <a href="../Scopes/Synopsis/IR/IR.html" >Synopsis.IR.IR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.IR.IR.merge" /><h2 >Method Synopsis.IR.IR.merge</h2><ul>
<li><a href="../Scopes/Synopsis/IR/IR.html#merge" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/IR.py.html#42">Synopsis/IR.py:42</a>: in class <a href="../Scopes/Synopsis/IR/IR.html" >Synopsis.IR.IR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.IR.IR.save" /><h2 >Method Synopsis.IR.IR.save</h2><ul>
<li><a href="../Scopes/Synopsis/IR/IR.html#save" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/IR.py.html#34">Synopsis/IR.py:34</a>: in class <a href="../Scopes/Synopsis/IR/IR.html" >Synopsis.IR.IR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.IR.load" /><h2 >Function Synopsis.IR.load</h2><ul>
<li><a href="../Scopes/Synopsis/IR.html#load" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/IR.py.html#74">Synopsis/IR.py:74</a>: in module <a href="../Scopes/Synopsis/IR.html" >Synopsis.IR</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.C.C.Parser" /><h2 >Class Synopsis.Parsers.C.C.Parser</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/C/C/Parser.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/C/__init__.py.html#13">Synopsis/Parsers/C/__init__.py:13</a>: in package <a href="../Scopes/Synopsis/Parsers/C/C.html" >Synopsis.Parsers.C.C</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#15">Synopsis/Parsers/C/__init__.py:15</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#preprocess" >preprocess</a></li><li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#16">Synopsis/Parsers/C/__init__.py:16</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#emulate_compiler" >emulate_compiler</a></li><li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#17">Synopsis/Parsers/C/__init__.py:17</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#compiler_flags" >compiler_flags</a></li><li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#18">Synopsis/Parsers/C/__init__.py:18</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#cppflags" >cppflags</a></li><li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#19">Synopsis/Parsers/C/__init__.py:19</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#primary_file_only" >primary_file_only</a></li><li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#20">Synopsis/Parsers/C/__init__.py:20</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#base_path" >base_path</a></li><li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#21">Synopsis/Parsers/C/__init__.py:21</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#sxr_prefix" >sxr_prefix</a></li><li ><a href="../Source/Synopsis/Parsers/C/__init__.py.html#23">Synopsis/Parsers/C/__init__.py:23</a>: Method <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.C.C.Parser.process" /><h2 >Method Synopsis.Parsers.C.C.Parser.process</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/C/C/Parser.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/C/__init__.py.html#23">Synopsis/Parsers/C/__init__.py:23</a>: in class <a href="../Scopes/Synopsis/Parsers/C/C/Parser.html" >Synopsis.Parsers.C.C.Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Cpp.Parser" /><h2 >Class Synopsis.Parsers.Cpp.Cpp.Parser</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#15">Synopsis/Parsers/Cpp/__init__.py:15</a>: in package <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp.html" >Synopsis.Parsers.Cpp.Cpp</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#17">Synopsis/Parsers/Cpp/__init__.py:17</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#emulate_compiler" >emulate_compiler</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#18">Synopsis/Parsers/Cpp/__init__.py:18</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#compiler_flags" >compiler_flags</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#19">Synopsis/Parsers/Cpp/__init__.py:19</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#flags" >flags</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#20">Synopsis/Parsers/Cpp/__init__.py:20</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#primary_file_only" >primary_file_only</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#21">Synopsis/Parsers/Cpp/__init__.py:21</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#cpp_output" >cpp_output</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#22">Synopsis/Parsers/Cpp/__init__.py:22</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#base_path" >base_path</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#23">Synopsis/Parsers/Cpp/__init__.py:23</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#language" >language</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#25">Synopsis/Parsers/Cpp/__init__.py:25</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#probe" >probe</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#34">Synopsis/Parsers/Cpp/__init__.py:34</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#process" >process</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Cpp.Parser.probe" /><h2 >Method Synopsis.Parsers.Cpp.Cpp.Parser.probe</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#probe" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#25">Synopsis/Parsers/Cpp/__init__.py:25</a>: in class <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html" >Synopsis.Parsers.Cpp.Cpp.Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Cpp.Parser.process" /><h2 >Method Synopsis.Parsers.Cpp.Cpp.Parser.process</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/__init__.py.html#34">Synopsis/Parsers/Cpp/__init__.py:34</a>: in class <a href="../Scopes/Synopsis/Parsers/Cpp/Cpp/Parser.html" >Synopsis.Parsers.Cpp.Cpp.Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Emulator.CompilerInfo" /><h2 >Class Synopsis.Parsers.Cpp.Emulator.CompilerInfo</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#244">Synopsis/Parsers/Cpp/Emulator.py:244</a>: in module <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator.html" >Synopsis.Parsers.Cpp.Emulator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#247">Synopsis/Parsers/Cpp/Emulator.py:247</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#compiler" >compiler</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#252">Synopsis/Parsers/Cpp/Emulator.py:252</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#flags" >flags</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#254">Synopsis/Parsers/Cpp/Emulator.py:254</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#language" >language</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#256">Synopsis/Parsers/Cpp/Emulator.py:256</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#kind" >kind</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#263">Synopsis/Parsers/Cpp/Emulator.py:263</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#timestamp" >timestamp</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#265">Synopsis/Parsers/Cpp/Emulator.py:265</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#include_paths" >include_paths</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#267">Synopsis/Parsers/Cpp/Emulator.py:267</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#macros" >macros</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#272">Synopsis/Parsers/Cpp/Emulator.py:272</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#_write" >_write</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Emulator.CompilerInfo._write" /><h2 >Method Synopsis.Parsers.Cpp.Emulator.CompilerInfo._write</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html#_write" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#272">Synopsis/Parsers/Cpp/Emulator.py:272</a>: in class <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html" >Synopsis.Parsers.Cpp.Emulator.CompilerInfo</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Emulator.CompilerList" /><h2 >Class Synopsis.Parsers.Cpp.Emulator.CompilerList</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#281">Synopsis/Parsers/Cpp/Emulator.py:281</a>: in module <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator.html" >Synopsis.Parsers.Cpp.Emulator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#283">Synopsis/Parsers/Cpp/Emulator.py:283</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#user_emulations_file" >user_emulations_file</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#288">Synopsis/Parsers/Cpp/Emulator.py:288</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#compilers" >compilers</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#289">Synopsis/Parsers/Cpp/Emulator.py:289</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#no_cache" >no_cache</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#286">Synopsis/Parsers/Cpp/Emulator.py:286</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#292">Synopsis/Parsers/Cpp/Emulator.py:292</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#list" >list</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#297">Synopsis/Parsers/Cpp/Emulator.py:297</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#_query" >_query</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#318">Synopsis/Parsers/Cpp/Emulator.py:318</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#add_default_compilers" >add_default_compilers</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#326">Synopsis/Parsers/Cpp/Emulator.py:326</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#load" >load</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#366">Synopsis/Parsers/Cpp/Emulator.py:366</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#save" >save</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#389">Synopsis/Parsers/Cpp/Emulator.py:389</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#refresh" >refresh</a></li><li ><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#405">Synopsis/Parsers/Cpp/Emulator.py:405</a>: Method <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#find" >find</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Emulator.CompilerList.__init__" /><h2 >Method Synopsis.Parsers.Cpp.Emulator.CompilerList.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#286">Synopsis/Parsers/Cpp/Emulator.py:286</a>: in class <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html" >Synopsis.Parsers.Cpp.Emulator.CompilerList</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Emulator.CompilerList._query" /><h2 >Method Synopsis.Parsers.Cpp.Emulator.CompilerList._query</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#_query" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#297">Synopsis/Parsers/Cpp/Emulator.py:297</a>: in class <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html" >Synopsis.Parsers.Cpp.Emulator.CompilerList</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Cpp.Emulator.CompilerList.add_default_compilers" /><h2 >Method Synopsis.Parsers.Cpp.Emulator.CompilerList.add_default_compilers</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html#add_default_compilers" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Cpp/Emulator.py.html#318">Synopsis/Parsers/Cpp/Emulator.py:318</a>: in class <a href="../Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html" >Synopsis.Parsers.Cpp.Emulator.CompilerList</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
